import axios from 'axios'
import { Toast } from 'vant'


let url = import.meta.env.VITE_HOST + import.meta.env.VITE_API

// 创建axios
const service = axios.create({
    baseURL: url,
    timeout: 50000,
});


// 添加请求拦截器
service.interceptors.request.use((config) => {
    // 在发送请求之前做些什么
    config
    return config;
}, function (error) {
    // 对请求错误做些什么
    return Promise.reject(error);
});

// 添加响应拦截器
service.interceptors.response.use(
    (response) => {
        return response.data || {};
    }, (error) => {
        // Toast('网络繁忙')
        // console.log('请求错误:', error.message);
        return Promise.reject(error);
    });

export default service;